Subject: bug#78658: 30.1; [PATCH] Dired feature suggestion: dired-on-marked-files-in-all-buffers

From: Phil Sainty <[email-masked]>
Date: Wed, 04 Jun 2025 21:43:43 +1200

On 2025-06-04 20:57, Daniel Mendler wrote:
> Note that try-completion can also return `t' and in that case you
> want to return the exact string, not the empty string.

I believe I've accounted for that -- my function is passing the
empty string as the first argument to try-completion, and therefore
"the exact string" can only be the empty string (AFAICS).

> Also you may want to
> bind some completion variables like `completion-regexp-list' and
> `completion-ignore-case' to nil (or to an `ignore-case' argument), such
> that they do not affect the result. These dynamic variables are not 
> user
> settings, but are usually let-bound inside completion style functions
> like `completion--pcm-all-completions'. Please take a close look at the
> documentation of `try-completion'. In any case, I agree that such a
> wrapper would be good to have and easier to use.

Thank you; I'll make those changes and check the docs to see if I can
spot anything else.

-Phil